Subject: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Aug 2020 20:02:53 +0300

> Date: Sat, 22 Aug 2020 09:54:14 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > >> There's no problem with logging in general.  The request is to also have
> > >> the messages output by the minibuffer-message function also end up in
> > >> the *Messages* buffer.
> 
> No.  The request is to _be able_ to also log
> `minibuffer-message' feedback.
> 
> > > By default?  I'd object to that.  As an option, maybe; 
> 
> The bug requested to _be able to_ do it.
> Not to do it by default.

I was responding to Lars, not to your original request.

> > > but then I
> > > don't understand why this is requested as a core feature, since any
> > > Lisp program that wants this can simply call 'message' with the same
> > > string, and be done.
> 
> No.  `minibuffer-message' has an entirely different
> UI effect.  You are coupling the UI effect (messaging)
> with the logging effect.  It is you, even in your "but
> then" (i.e., NOT by default), who are saying that
> every time logging is wanted the UI effect of `message'
> is also wanted.

Yes, yes, everyone knows that.  No need to reiterate the trivia.
Please focus on the real issues at hand.

> That's exactly the point of this bug:
> 
> 1. `message' and `minibuffer-message' have different UI
>    effects.  They are used for different things.
> 
> 2. `message' can be logged. `minibuffer-message' cannot.
> 
> The point is to be able to log `minibuffer-message',
> WITHOUT getting the different UI effect of `message'.

Yes, we understood that.  No need to reiterate.

> Please reread the bug report.  I don't think it's hard
> to understand the request: Be able to also log
> `minibuffer-message' output.

Please re-read what I responded.  Which part of it contradicts what
you requested?

> And obviously WITHOUT calling `message', which is not
> logging `minibuffer-message' but logging `message',
> and which adds the UI effect of `message'.

The UI effect of 'message' can be easily disabled by the Lisp program
which calls 'message', which in effect converts 'message' into a
logging function.  Include that in the code that calls
'minibuffer-message', and you have what you wanted, no?

> Eli seems to have clearly misunderstood the request.

Please don't second-guess my misunderstandings.  It is rude, to say
the least.

> Please reopen this enhancement request.  It's simply
> a request to _be able to_ log `minibuffer-message'
> output.  Not a big deal.

You are already able to do that, AFAICT.